POST api/medistreamapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediStreamViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

cleanroom_id

globally unique identifier

Required

local_id

integer

Range: inclusive between 0 and ∞

name

string

Required

serial_number

string

Required

active

boolean

Required

door_status

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "e6a89974-043f-44e9-b0a2-071d7fb9ea8c",
  "cleanroom_id": "2b1c9baa-9b86-4e2f-95ce-544aae83d045",
  "local_id": 1,
  "name": "sample string 3",
  "serial_number": "sample string 4",
  "active": true,
  "door_status": true
}

application/xml, text/xml

Sample:
<medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_id>2b1c9baa-9b86-4e2f-95ce-544aae83d045</cleanroom_id>
  <door_status>true</door_status>
  <id>e6a89974-043f-44e9-b0a2-071d7fb9ea8c</id>
  <local_id>1</local_id>
  <name>sample string 3</name>
  <serial_number>sample string 4</serial_number>
</medistream>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"75188f0c-ac60-4364-9b35-81db42d0b09c"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">75188f0c-ac60-4364-9b35-81db42d0b09c</guid>